package services.beans;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.core.api.annotation.Inject;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import services.entities.User;

import javax.ejb.EJB;
import java.io.File;

/**
 * @Author paul.robinson@redhat.com 23/09/2012
 */
@RunWith(Arquillian.class)
public class UserManagerBeanTest {

    @EJB
    private UserManager userManager;

     /**
     * Create the deployment archive to be deployed by Arquillian.
     *
     * @return a JavaArchive representing the required deployment
     */
    @Deployment
    public static JavaArchive createTestArchive() {

        return ShrinkWrap.create(JavaArchive.class, "test.jar")
                .addPackages(true, "services")
                .addAsManifestResource(new File("./src/main/resources/META-INF/persistence.xml"));
    }

    @Test
    public void testAddUser() throws Exception
    {
        User user = userManager.createUser("test");
        Assert.assertTrue("Expected username to be 'test', but it wasn't", user.getUsername().equals("test"));
    }


}
